Cancel
Showing results for 
Search instead for 
Did you mean: 

CAM settings deciding roundness of round workpiece

Creator
Creator

Hi All NX CAM experts

 

a noob question,

 

as we recently adopt NX CAM for manufacturing, they guys are complaining the model isnt round(when we show wireframe of the model, the outline are jagged, not smooth, i can easliy set the facet setting resolution)

i need to better explain to the shopfloor guys the display do not mean the the model is not round.

or maybe is there any issue with the milling machine/ postprocessor? 

fyi, we use the same model with hypermill , the result is the same.

 

if i mill a round work piece or any curve or round surfaces , how do i make sure the workpiece comes out round?

 

what will be a reasonable setting to set?

 

do the below settings affects the roundness of the part?

 

1-intol / outtol ? 

2-modeling tolerance ?

 

any best practice or settings to set to acheive roundness?

 

thank you!

regards

Jasons

NX 11.0.2.7 MP13

6 REPLIES 6

Re: CAM settings deciding roundness of round workpiece

Legend
Legend

If the curves are interpolations (G2, G3) it will be all on your machine.

 

I usually change the visulization preference setting... "resolution" to fine and click the "align facets along edges" check boxes.

 

If you do not want to keep doing this for every model....

 

You can change it in your customer defaults, but you will also have to go into all your template files you are using as well, change the setting and save the file.

 

Now all your new files will come in with good graphics and everyone will be wowed by how good the models look.

{Paul Schneider}, {CNC Programmer}, {DRT-Rochester}


Production: {NX11.0.2,MP5, NX12.0.2, MP4}

Re: CAM settings deciding roundness of round workpiece

Siemens Phenom Siemens Phenom
Siemens Phenom

Hi Jasons,

 

The data base (prt) contins a model which is used by different NX modules in different ways. the display is optimized for performance with "heavy" parts / assemblies so the default display resolution in the parts raising the questions are not as nice as you would expect. whenever you zoom in an area the seems to be faceted - you can right click with your mouse on an empty space in the graphics and select "Update Display". it will locally refine the model.

CAM is not using the Display tolerances. it is directly looking to the models stored in the prt and machine those with the tollerance set in the operation (intol/outtol). I join the recomendation to refine the resolution as described above.

 

having say that - in some cases NX does get bad geometry (usually after import from other CAD systems), or triangulated models (stl) scanned with low resolution. in this case it might be that the bad display will also show up in the machining results. using the update display command can help better understand the actual quality of the model. Anyway - this is the exception. not the common cause for low resulution display.  

 

Hope that this can help explaining it to others in your firmSmiley Happy

 

Yours,

Eddy Finaro
NX CAM Product Manager
Siemens PLM

Re: CAM settings deciding roundness of round workpiece

Gears Esteemed Contributor Gears Esteemed Contributor
Gears Esteemed Contributor

I also do what Paul does.

I even have a journal to set the part settings, so for legacy parts, it is easy to update.

I got this idea somewhere here on the community site, I believe I created the journal itself.

Note this is for 10.0.3 - I'm not sure if anything has changed in newer versions.

 

' NX 10.0.3.5
' Journal created by kakerboo on Thu Jul 12 12:10:53 2018 Eastern Daylight Time
'
Option Strict Off
Imports System
Imports NXOpen

Module NXJournal
Sub Main (ByVal args() As String) 

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work

Dim displayPart As NXOpen.Part = theSession.Parts.Display

' ----------------------------------------------
'   Menu: Preferences->Visualization...
' ----------------------------------------------
' workPart.Preferences.ShadeVisualization.SetShadedViewFacetTolerances(NXOpen.Preferences.PartVisualizationShade.ShadedViewToleranceType.Standard, 0.005, 0.005, 15.0)

Dim shadedViewTolerance1 As NXOpen.Preferences.PartVisualizationShade.ShadedViewToleranceType
shadedViewTolerance1 = workPart.Preferences.ShadeVisualization.ShadedViewTolerance

workPart.Preferences.ShadeVisualization.ShadedViewTolerance = NXOpen.Preferences.PartVisualizationShade.ShadedViewToleranceType.Extrafine

workPart.Preferences.ShadeVisualization.SetShadedViewFacetTolerances(NXOpen.Preferences.PartVisualizationShade.ShadedViewToleranceType.Extrafine, 0.0005, 0.001, 6.0)

Dim facetSettingsBuilder1 As NXOpen.Display.FacetSettingsBuilder
facetSettingsBuilder1 = workPart.CreateFacetSettingsBuilder()

facetSettingsBuilder1.ShadedFacetScale = NXOpen.Display.FacetSettingsBuilder.FacetScale.View

facetSettingsBuilder1.ShadedAlignFacets = True

Dim nXObject1 As NXOpen.NXObject
nXObject1 = facetSettingsBuilder1.Commit()

facetSettingsBuilder1.Destroy()

' ----------------------------------------------
'   Menu: Tools->Journal->Stop Recording
' ----------------------------------------------

End Sub
End Module
Ken Akerboom Sr CAx Systems Engr, Moog, Inc.
Production: NX10.0.3.5 MP16/TC11.2
I'd rather be e-steamed than e-diseaseled


Re: CAM settings deciding roundness of round workpiece

Creator
Creator

thank you Paul,

 

how do i check the edges interpolation? the problems i have are the green chamfered face.

 

Capture2.PNG

Re: CAM settings deciding roundness of round workpiece

Creator
Creator
thank you Ken, the journal works!

Re: CAM settings deciding roundness of round workpiece

Creator
Creator
thank you Eddy.

Learn online





Solution Information